
#include "MacroPatternMatch.h"

#include "HROOTCoreTNamed.h"

#include "THttpServer.h"

#include "HROOTNetTHttpServer.h"

using namespace ROOT;

#define CHECKPROTECT(x,y) FXIS_PAREN(IS_ ## x ## _ ## y ## _PROTECTED)

#define TYPECASTMETHOD(cname,mname,oname) \
  FXIIF( CHECKPROTECT(cname,mname) ) ( \
  (from_nonconst_to_nonconst<oname,cname ## _t>), \
  (from_nonconst_to_nonconst<cname,cname ## _t>) )

TNAMED_DEF_VIRT(THttpServer)
TOBJECT_DEF_VIRT(THttpServer)
DELETABLE_DEF_VIRT(THttpServer)
THTTPSERVER_DEF_VIRT(THttpServer)
THTTPSERVER_DEF_NONVIRT(THttpServer)
THTTPSERVER_DEF_ACCESSOR(THttpServer)

